### Method

# GLib Uri get_query

since: 2.66

#### Declaration

    const gchar*
    g_uri_get_query (
      GUri* uri
    )

#### Description

Gets `uri`‘s query, which may contain `%`-encoding, depending on the flags with which `uri` was created.

For queries consisting of a series of `name=value` parameters, `GUriParamsIter` or `g_uri_parse_params()` may be useful.

Available since: 2.66

#### Return value

Type: `const gchar*`

`uri`‘s query.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.